App\Entity\AirlineCompanies:
    type: entity
    table: airline_companies
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            generator:
                strategy: IDENTITY
    fields:
        cityName:
            type: string
            nullable: true
            length: 100
            options:
                fixed: false
            column: city_name
        airportCode:
            type: string
            nullable: true
            length: 5
            options:
                fixed: false
            column: airport_code
        airportName:
            type: string
            nullable: true
            length: 100
            options:
                fixed: false
            column: airport_name
        countryName:
            type: string
            nullable: true
            length: 100
            options:
                fixed: false
            column: country_name
        countryAbb:
            type: string
            nullable: true
            length: 5
            options:
                fixed: false
            column: country_abb
        worldAreaCode:
            type: string
            nullable: true
            length: 5
            options:
                fixed: false
            column: world_area_code
    lifecycleCallbacks: {  }
